기본 콘텐츠로 건너뛰기

Zend Framework 2.4 발표



국내에서 많이 사용되는 PHP 프레임워크인 CodeIgniter 3.0이 3월말에 발표되었는데 재미있게도 Zend사에서 개발중인 Zend Framework의 2.4 버전이 오늘 발표되었습니다. 마치 애플의 이벤트가 끝나자마자 신제품들을 공격적으로(?) 발표하는 구글의 모습이 생각나는 타이밍이라고 할까요? 2.4 버전을 아직 테스트해본 것은 아니기에 릴리즈 발표문에 있는 내용중 눈에 띄는 것 몇가지만 옮겨보도록 하겠습니다. 변경 사항에 대한 전체 리스트는 여기로 가시면 볼 수 있습니다.

Zend Framework 2.4의 특징 중 큰 것 하나는 PHP 7을 지원한다라는 것입니다. 얼마전 제 블로그 포스팅 "'PHP 7'에 대해 반드시 알아야 할 것 5가지"에서 이야기한 것처럼 2015년 가을에 PHP 7이 발표될 예정입니다. PHP 코어 엔진을 만드는 Zend사 답게 이번 Zend Framework 2.4 버전에 관련 지원이 추가되었습니다.

그리고, Zend Framework 2.4는 Zend Framework 최초로 LTS(Long Term Support) 버전입니다. 이름 그대로 일반 버전에 비해 기술 지원 - 보안 및 버그 패치를 제공 - 이 긴 버전인데 Zend Framework를 이용해 상용 서비스를 운영하는 회사라면 앞으로는 LTS 버전을 사용하는 것이 좋을 듯 합니다. Zend Framework LTS 버전의 기술 지원 기간은 3년입니다.

많은 변경사항이 있는 컴포넌트들 중에 눈에 띄는 것은 Zend/Db입니다. 다른 컴포넌트들과는 달리 변경 사항 리스트 위에 '아래의 변경점들 이외에 코드상에 많은 개선 사항들이 있다'라는 문장이 추가되어 있었습니다. Zend/Db는 웹개발시 필수적으로 사용하는 컴포넌트인데 Zend사에서 이런 자신감(?)을 표시하였으니 기대가 많이 됩니다.

2.4 버전 발표를 알리는 메일은 ZF3의 개발을 곧 시작할 것이니 지켜봐달라는 문장으로 마무리되었습니다. ZF1에서 ZF2로 옮겨가는데도 고생을 했는데 이번에는 과연 어떤 변화가 있을지 걱정반 기대반입니다.


===


사진 포트폴리오 - City, City People (http://photo.just4fun.kr/)

사진 매거진 앱 - Viewzin (http://viewzin.just4fun.kr/)



댓글

이 블로그의 인기 게시물

PHP에서 보안 문제를 해결하는 법

한빛미디어 홈페이지에 'PHP에서 보안 문제를 해결하는 법' 이라는 기사가 있습니다. PHP로 개발시 주의해야하는 3가지 보안 문제와 이를 막는 방법에 대한 외국 기사를 번역한 기사인데 관련 사항을 잘모르시는 분들에게 도움이 될 것 같아 기사에 소개된 내용들에 제 생각을 추가하여 정리해보겠습니다.


플랜트로닉스 백비트 고 3 : 아쉬운 블루투스 연결 안정성

블루투스 이어폰을 새로 구입하려고 이것저것 알아보다가 기존에 사용하던 플랜트로닉스의 ‘백비트 고 2’에 만족을 하였기에 그 후속작인 ‘백비트 고 3’를 구입하였습니다. 구입 후 일주일정도 사용한 지금 기대보다는 만족도가 떨어지는 제품이라는 것이 제 결론인데 그 이유를 적어보겠습니다.

구글 결제에서 결제 수단 등록 문제

얼마 전 카드를 새로 만들어서 구글 결제의 결제 수단을 교체하려고 하였는데 카드 번호가 잘못되었다라고 하면서 등록이 되지 않았습니다. 관련해서 검색을 해보니 이런 문제가 흔히 발생하고 있더군요. 저처럼 당황하실 분들을 위해 구글 고객센터와 통화해 해결하면서 알아낸 것들을 공유하겠습니다.